catalog:
  title: CSRA FSMT test for the homeautomation base components.

templates:
- runnable
- base

variables:
  description: FSMT LSP-CSRA Integration Test for the homeautomation base components.
  keywords:
  - python
  - fsmt
  - programming language
  - testing
  - integrations tests
  maintainer: Marian Pohling
  recipe.maintainer:
  - mpohling@techfak.uni-bielefeld.de
  - thuxohl@techfak.uni-bielefeld.de
  runnable: true
  access: private

  branches:
  - master

  shell.command: |
    #!/bin/bash
    sleep 10;
    export DISPLAY=:0.0;
    export VDEMO_prefix=${toolkit.dir}
    export VDEMO_demoRoot=$VDEMO_prefix/etc/vdemo_scripts
    . $VDEMO_demoRoot/lsp-csra-config.sh
    env_python;
    $prefix/bin/fsmt -c -o $WORKSPACE --loglevel=INFO ${toolkit.dir}/etc/fsmt-experiments/simulation/homeautomation/homeautomation-test-vdemo-local.scxml;
